Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Intalling Unity 3D on Gentoo linux
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
nekicneko99
n00b
n00b


Joined: 06 Jul 2016
Posts: 8

PostPosted: Mon Jul 17, 2017 8:15 pm    Post subject: Intalling Unity 3D on Gentoo linux Reply with quote

While day I trying to install Unity 3D, and now I can't install monodevelopment.

Build log:
https://paste.pound-python.org/show/RkoEtM8c2N9kCMkXSy2i/

Info:
https://paste.pound-python.org/show/97vzqu0FonMO3bYwijJa/
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21683
Location: here

PostPosted: Tue Jul 18, 2017 6:03 am    Post subject: Reply with quote

What version of dev-lang/mono you have installed?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
nekicneko99
n00b
n00b


Joined: 06 Jul 2016
Posts: 8

PostPosted: Tue Jul 18, 2017 10:56 am    Post subject: Reply with quote

4.0.5.0

Now I try to upgrade to 5.2.0.196 and have diiferent error while try to install monodevelop-6.0.0 (also try older version, 5.10.3.51).

6.0.0
https://paste.pound-python.org/show/Fg6MYIjxV3Tmb4LBfFTG/
https://paste.pound-python.org/show/Rt7Hn5kdTGSVlz4cmihG/

5.10.3.51
https://paste.pound-python.org/show/Lgch9JGXNzjJpW86g2wY/
Back to top
View user's profile Send private message
nekicneko99
n00b
n00b


Joined: 06 Jul 2016
Posts: 8

PostPosted: Tue Jul 18, 2017 11:21 pm    Post subject: Reply with quote

I install unity3d manual with external monodevelop. But now I wilsh to have monodevelop from package manager for other C# development.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21683
Location: here

PostPosted: Wed Jul 19, 2017 5:52 am    Post subject: Reply with quote

Try to open an issue to dotnet overlay maintainers.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
wjb
Guru
Guru


Joined: 10 Jul 2005
Posts: 400
Location: Fife, Scotland

PostPosted: Wed Jul 19, 2017 8:59 pm    Post subject: Reply with quote

It's trying to compile a line that looks like this:
Code:
result = $@"string.Format({formatString}{expressionString})";


It's upset with the $.

Try with a slightly newer version of mono, 4.4.1.0 works for me.
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 13734

PostPosted: Fri Jul 21, 2017 1:14 am    Post subject: Reply with quote

DhruvSingh7278 wrote:
You can try to update the latest version. it will work.
Latest means different things to different people, depending on their Portage settings, when they last synced their tree, and when they read the message. wjb posted before you that 4.4.1.0 would work. Was your experience different? What version did you find to be necessary?
Back to top
View user's profile Send private message
wjb
Guru
Guru


Joined: 10 Jul 2005
Posts: 400
Location: Fife, Scotland

PostPosted: Fri Jul 21, 2017 8:16 pm    Post subject: Reply with quote

Yeah, I run a 'mostly stable' system. I make exceptions for some things, but tend to avoid keywording lots of packages or core packages.
Back to top
View user's profile Send private message
ronaldoc
n00b
n00b


Joined: 03 Jul 2017
Posts: 15

PostPosted: Tue Jul 25, 2017 8:48 am    Post subject: Reply with quote

Are you sure it will work with the latest version?
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 13734

PostPosted: Wed Jul 26, 2017 1:33 am    Post subject: Reply with quote

Currently, we're not even sure that DhruvSingh7278 is a real user. There is some suspicion based on its posts so far that it is a profile spammer making vacuous posts before dropping its spam.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum